import { ref as m, openBlock as t, createBlock as o, normalizeStyle as d, withCtx as a, createElementBlock as f, Fragment as v, renderList as S, unref as y, createElementVNode as c, resolveDynamicComponent as w, normalizeClass as C, toDisplayString as h } from "vue";
import { l as k, aB as x, aC as I, aD as B } from "./index2.js";
const T = { class: "item-select" }, b = {
  __name: "SIconSelect",
  props: {
    width: {
      type: Number,
      default: 300
    }
  },
  setup(r) {
    const l = m(""), u = ["createFromIconfontCN", "default", "getTwoToneColor", "setTwoToneColor"], i = Object.keys(x).filter((n) => !u.includes(n));
    return (n, s) => {
      const p = I, _ = B;
      return t(), o(_, {
        value: l.value,
        "onUpdate:value": s[0] || (s[0] = (e) => l.value = e),
        showSearch: "",
        style: d({ width: r.width + "px" })
      }, {
        default: a(() => [
          (t(!0), f(v, null, S(y(i), (e) => (t(), o(p, {
            key: e,
            value: e
          }, {
            default: a(() => [
              c("div", T, [
                (t(), o(w(e), {
                  class: C([e, "icon"])
                }, null, 8, ["class"])),
                c("span", null, h(`${e}`), 1)
              ])
            ]),
            _: 2
          }, 1032, ["value"]))), 128))
        ]),
        _: 1
      }, 8, ["value", "style"]);
    };
  }
}, N = /* @__PURE__ */ k(b, [["__scopeId", "data-v-9625522b"]]);
export {
  N as default
};
